Subject: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2022 21:01:10 +0300

> Cc: [email-masked]
> Date: Sun, 26 Jun 2022 20:26:56 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Visuwesh <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 26 Jun 2022 22:36:31 +0530
> > 
> > > Invoke find-composition, and you will see that it returns a single
> > > composition there.
> > 
> > If find-composition is indeed right, then the return value is very
> > unintuvitive as a native speaker: ப் and போ are two separate characters
> > and combining them into a single cluster is weird...  
> 
> Maybe you are right, but then Someone(TM) will have to either modify
> find-composition or explain how to interpret its return value
> differently from what we do now.  What is now in delete-forward-char
> expresses my level of knowledge in this area, which admittedly is
> limited.
> [...]
> If so, the behaviour of find-composition is still confusing since I
> need to say C-f twice to move over ப்போ.

Mmm... that gave an idea.  Let me see if I can come up with something.